---
title: Inequality (!=)
slug: Web/JavaScript/Reference/Operators/Inequality
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The inequality operator (<code>!=</code>) checks whether its two operands are not equal, returning a Boolean result. Unlike the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Strict_inequality">strict inequality</a> operator, it attempts to convert and compare operands that are of different types.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-inequality.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">x != y</pre>

<h2 id="Description">Description</h2>

<p>The inequality operator checks whether its operands are not equal. It is the negation of the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Equality">equality</a> operator so the following two lines will always give the same result:</p>

<pre class="brush: js notranslate">x != y

!(x == y)</pre>

<p>For details of the comparison algorithm, see the page for the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Equality">equality</a> operator.</p>

<p>Like the equality operator, the inequality operator will attempt to convert and compare operands of different types:</p>

<pre class="brush: js notranslate">3 != "3"; // false</pre>

<p>To prevent this, and require that different types are considered to be different, use the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Strict_inequality">strict inequality</a> operator instead:</p>

<pre class="brush: js notranslate">3 !== "3"; // true</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Comparison_with_no_type_conversion">Comparison with no type conversion</h3>

<pre class="brush: js notranslate">1 != 2;              // true
"hello" != "hola";   // true

1 != 1;              // false
"hello" != "hello";  // false</pre>

<h3 id="Comparison_with_type_conversion">Comparison with type conversion</h3>

<pre class="brush: js notranslate">"1" !=  1;            // false
1 != "1";             // false
0 != false;           // false
0 != null;            // true
0 != undefined;       // true
0 != !!null;          // false, look at Logical NOT operator
0 != !!undefined;     // false, look at Logical NOT operator
null != undefined;    // false

const number1 = new Number(3);
const number2 = new Number(3);
number1 != 3;         // false
number1 != number2;   // true</pre>

<h3 id="Comparison_of_objects">Comparison of objects</h3>

<pre class="brush: js notranslate">const object1 = {"key": "value"}
const object2 = {"key": "value"};

object1 != object2 // true
object2 != object2 // false</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-equality-operators', 'Equality operators')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.inequality")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Equality">Equality operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Strict_equality">Strict equality operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Strict_inequality">Strict inequality operator</a></li>
</ul>

<div id="gtx-trans" style="position: absolute; left: 16px; top: 1743.2px;">
<div class="gtx-trans-icon"></div>
</div>
